Bug 859403 - Notification email for test run contains wrong data and misses information
Notification email for test run contains wrong data and misses information
Status: VERIFIED
Product: TCMS
Classification: Other
Component: Application (Show other bugs)
3.8.0
Unspecified Unspecified
medium Severity medium
: ---
: 3.8.1
Assigned To: Yang Ren
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-21 09:33 EDT by Iveta Wiedermann
Modified: 2018-02-15 19:39 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Iveta Wiedermann 2012-09-21 09:33:39 EDT
Description of problem:
When tcms run is marked as finished notification email contains in a subject that Test run has been updated and in the body of the email is as the first sentence "A new test run has been created for you.", which is not true, then follows basic run information and test plan information. 

Also I believe it would be nice if in the email body would be mentioned how the run was updated, so as for this example something like "Test run has been set to finished".

Version-Release number of selected component (if applicable):
Nitrate 3.8.0

How reproducible:
100%

Steps to Reproduce:
1. Create new run
2. Set run to finished
3. Check email notification
  
Actual results:
"A new test run has been created for you."
And missing information about what has been updated

Expected results:
Instead of the first sentence would be nice information regarding the change

Additional info:
Comment 1 Xin Gao 2012-09-23 22:37:03 EDT
Support the problem reporting by Iveta.
I also think the email notification should be more reasonable.
Comment 2 Zheng Liu 2012-09-24 03:41:03 EDT
According to the discussion with PM and QE, the first sentence of "A new test run has been created for you" will be modified to "Test run xxx has been updated.", which will make the notification clear to receiver. This part will be fixed in next release TCMS3.8.1.

As for the detailed update info, we will redesign the contents of email notification to make it consistent with changelog. So this part will be fixed in
TCMS4.0
Comment 3 Zheng Liu 2012-09-24 20:48:59 EDT
Part 1 has been fixed. Please verify in next release.
Comment 4 Xin Gao 2012-10-10 03:57:09 EDT
Verify 3.8.1 on tcms-test -->PASS

Verify steps:
1. Create new run
2. Set run to finished
3. Check email notification

Actual result:
works as the suggestion of bug reporter now.

Note You need to log in before you can comment on or make changes to this bug.